CHOWN(1)

NAVN
chown - ændre bruger og gruppe på filer

SYNOPSIS
chown [TILVALG]... [EJER][:[GRUPPE]] FIL...
chown [TILVALG]... --reference=RFIL FIL...

BESKRIVELSE
Denne manualside dokumenterer GNU-versionen af chown. chown ændrer bruger- og/eller gruppeejerskabet for de givne filer. Hvis kun en ejer (et brugernavn eller et numerisk bruger-ID) er angivet, så gøres den bruger til ejer af hver angivet fil og filens gruppe ændres ikke. Hvis ejeren bliver efterfulgt af et kolon og et gruppenavn (eller numerisk gruppe-ID), uden nogen mellemrum imellem, så vil gruppeejerskabet af filen også blive ændret. Hvis et kolon, men intet gruppenavn følger brugernavnet, så gøres den bruger til ejer af filerne og gruppen for filerne ændres til den brugers logind-gruppe. Hvis kolonnet og gruppen er angivet, men ejeren udelades, så ændres kun gruppen for filerne; i dette tilfælde udfører chown den samme funktion som chgrp. Hvis kun et kolon er angivet, eller hvis hele operanden er tom, så ændres hverken ejeren eller gruppen.

TILVALG

Ændre ejeren og/eller gruppen for enhver FIL til EJER og/eller GRUPPE. Med --reference ændres ejer og gruppe for hver fil til de tilsvarende for RFIL.

-c, --changes
    ligesom verbose men rapporterer kun når der bliver lavet ændringer

-f, --silent, --quiet
    undertrykker de fleste fejlbeskeder

-v, --verbose
    skriver en besked for alle filer den undersøger

--dereference
    virk på referenten af hver symbolsk lænke (dette er standardopførsel) frem for selve lænken

-h, --no-dereference
    påvirker symbolske lænker i stedet for filen der er lænket til (kun for systemer der kan ændre ejerskabet af en symlænke)

--from=AKTUELLE_EJER:AKTUELLE_GRUPPE
    ændr kun ejer for hver fil, hvis filens aktuelle ejer og/eller gruppe er lig dem angivet her. Begge kan udelades, og i så fald er overensstemmelse ikke krævet for den udeladte attribut

--no-preserve-root
    behandl ikke »/« specielt (standard)

--preserve-root
    virk ikke rekursivt på »/«

--reference=RFIL
    brug RFILEs ejerskab frem for at angive værdier RFILE er altid derefereret hvis en symbolsk henvisning.

-R, --recursive
    ændre filer og mapper rekursivt

De følgende tilvalg ændrer måden hvorpå et hierarki gennemløbes når flaget -R også angives. Hvis mere end et angives, vil kun det sidst valgte være gyldigt. »-P« er standarden.

-H  hvis kommandolinjeargumentet er en symbolsk henvisning til en mappe, så gennemløb dette

-L  gennemløb enhver symbolsk mappehenvising, der mødes undervejs

-P  gennemløb ingen symbolske lænker

--help
    vis denne hjælpetekst og afslut

--version
    vis versionsinformation og afslut

Ejer forbliver uændret hvis udeladt. Gruppe forbliver uændret hvis udeladt, men ændres til logind-gruppen hvis det er angivet med et ":", som følger efter en symbolsk EJER. EJER og GRUPPE kan være numerisk eller symbolsk.

EKSEMPLER

chown root /u
    Sæt ejeren af /u til »root«.

chown root:ansatte /u
    Tilsvarende, men sæt også dens gruppe til »ansatte«.

chown -hR root /u
    Sæt ejeren af /u og underfiler til "root".

FORFATTER
Skrevet af David MacKenzie og Jim Meyering.

FEJLRAPPORTER
Hjælp til GNU coreutils på nettet:: <https://www.gnu.org/software/coreutils/>
Rapporter oversættelsesfejl til <https://translationproject.org/team/da.html>

OPHAVSRET
Ophavsret © 2024 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller nyere <https://gnu.org/licenses/gpl.html>.
Dette er et frit program: du kan frit ændre og videredistribuere det. Der gives INGEN GARANTI, i den grad som loven tillader dette.

SE OGSÅ
chown(2)

Fuld dokumentation <https://www.gnu.org/software/coreutils/chown>
eller lokalt tilgængelig via: info '(coreutils) chown invocation'

OVERSÆTTELSE
Oversættere af denne manual til dansk Kenneth Rohde Christiansen <kenneth@gnu.org>, Peter Makholm <peter@makholm.net>, Byrial Ole Jensen <byrial@vip.cybercity.dk> og Joe Hansen <joedalton2@yahoo.dk>

Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.

Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.